array_filter
array_intersect_assoc
Array Functions
PHP Manual

# array_flip

(PHP 4, PHP 5)

array_flip — Exchanges all keys with their associated values in an array

### Description

array array_flip ( array `$array` )

array_flip() returns an array in flip order, i.e. keys from `array` become values and values from `array` become keys.

Note that the values of `array` need to be valid keys, i.e. they need to be either integer or string. A warning will be emitted if a value has the wrong type, and the key/value pair in question will not be included in the result.

If a value has several occurrences, the latest key will be used as its value, and all others will be lost.

### Parameters

`array`

  An array of key/value pairs to be flipped.

### Return Values

Returns the flipped array on success and `NULL` on failure.

### Examples

Example #1 array_flip() example

`<?php
$trans = array_flip($trans);
$original = strtr($str, $trans);
?>`

Example #2 array_flip() example : collision

`<?php
$trans = array("a" => 1, "b" => 1, "c" => 2);
$trans = array_flip($trans);
print_r($trans);
?>`

now $trans is:

    Array
    (
        [1] => b
        [2] => c
    )

### See Also

- array_values() - Return all the values of an array
- array_keys() - Return all the keys or a subset of the keys of an array
- array_reverse() - Return an array with elements in reverse order

array_filter
array_intersect_assoc
Array Functions
PHP Manual